#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <string>
#include <fstream>
#include <iostream>
#include <stdlib.h>

//(*Headers(configdialog)
#include <wx/dialog.h>
#include <wx/hyperlink.h>
#include <wx/sizer.h>
#include <wx/statbmp.h>
#include <wx/stattext.h>
//*)

class configdialog: public wxDialog
{
	public:

		configdialog(wxWindow* parent,wxWindowID id=wxID_ANY);
		virtual ~configdialog();

		//(*Declarations(configdialog)
		wxHyperlinkCtrl* HyperlinkCtrl1;
		wxHyperlinkCtrl* HyperlinkCtrl2;
		wxStaticBitmap* StaticBitmap1;
		wxStaticText* StaticText1;
		wxStaticText* StaticText2;
		wxStaticText* StaticText3;
		//*)

	protected:

		//(*Identifiers(configdialog)
		static const long ID_STATICBITMAP1;
		static const long ID_STATICTEXT2;
		static const long ID_STATICTEXT3;
		static const long ID_STATICTEXT1;
		static const long ID_HYPERLINKCTRL2;
		static const long ID_HYPERLINKCTRL1;
		//*)

	private:

		std::string install_path;
		//(*Handlers(configdialog)
		
		std::string utf8_encode(const std::wstring &wstr);
		void OnQuit(wxCommandEvent& event);
		void OnHyperlinkCtrl1Click(wxCommandEvent& event);
		void OnHyperlinkCtrl2Click(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
